STRCHR(3)

NAME
strchr, strrchr, strchrnul - locate character in string

SYNOPSIS
#include <string.h>

char *strchr(const char *s, int c);

char *strrchr(const char *s, int c);

#define _GNU_SOURCE
#include <string.h>

char *strrchr(const char *s, int c);

DESCRIPTION
The strchr() function returns a pointer to the first occurrence of the character c in the string s.

The strrchr() function returns a pointer to the last occurrence of the character c in the string s.

The strchrnul() function is like strchr() except that if c is not found in s, then it returns a pointer to the null byte at the end of s, rather than NULL.

Here "character" means "byte"; these functions do not work with wide or multi-byte characters.

RETURN VALUE
The strchr() and strrchr() functions return a pointer to the matched character or NULL if the character is not found.

The strchrnul() function returns a pointer to the matched character, or a pointer to the null byte at the end of s (i.e., s+strlen(s)) if the character is not found.

CONFORMING TO
SVID 3, POSIX, 4.3BSD, ISO 9899

SEE ALSO
index(3), memchr(3), rindex(3), strlen(3), strpbrk(3), strsep(3), strspn(3), strstr(3), strtok(3), wcschr(3), wcsrchr(3)